net.dontdrinkandroot.lastfm.api.model

## Class LfmEntity

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.LfmEntity

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Affiliation, Affiliations, Album, Artist, Coordinate, Event, Image, Location, Price, Scrobble, ScrobbleSource, Shout, Size, Tag, Ticket, Track, User, Venue, Votes

    public abstract class LfmEntity
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `LfmEntity()`
`` `LfmEntity(Element element)` Create entity from an xml element.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LfmEntity

    protected LfmEntity()

#### LfmEntity

    public LfmEntity(Element element)

Create entity from an xml element.

Parameters:
  `element` - The xml element to create the entity from.